class CreateKapsmes < ActiveRecord::Migration
  def change
    create_table :kapsmes do |t|
      t.string :name
      t.text :description
      t.boolean :public, :default => false
      t.integer :kaps_cat_id
      t.integer :points
      t.boolean :done, :default => false
      t.references :kap, index: true, foreign_key: true
      t.integer :kaps_type_id
      t.references :p_customer, index: true, foreign_key: true
      t.integer :origin_kaps_id
      t.integer :origin_author_id
      t.boolean :archived, :default => false
      t.integer :kaps_day_id
      t.integer :kaps_week_id
      t.integer :kaps_month_id

      t.timestamps null: false
    end
  end
end
